summaryrefslogtreecommitdiff
path: root/debian/tests/upstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/upstream.sh')
-rwxr-xr-xdebian/tests/upstream.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/tests/upstream.sh b/debian/tests/upstream.sh
new file mode 100755
index 0000000..d648446
--- /dev/null
+++ b/debian/tests/upstream.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+set -u
+
+testdir=$PWD/test
+cd $AUTOPKGTEST_TMP
+
+for py3 in $(py3versions -s)
+do
+ echo "Running tests with Python ${py3ver}."
+ for t in $(find $testdir -type f -name 'test_*.py')
+ do
+ echo "Running test ${t}."
+ ${py3} -B $t
+ done
+done